package com.chinaitop.depot.intelligent.grainsituation.service;

import com.chinaitop.depot.intelligent.grainsituation.model.TLqdata;
import com.chinaitop.depot.intelligent.grainsituation.model.TTestdata;

import java.util.List;
import java.util.Map;

/**
 * @author qingsong.han
 * @description: 粮情检查分析
 * @create 2018-12-16 17:00
 */
public interface GrainCheckAnalyzeService {

    /**
     * 检测时间查询列表
     * @param vDataTime
     * @return
     */
    List<TLqdata> getList(String vDataTime);

    Map<String,TTestdata> getByCfCdoes(Map<String, Object> mapDate);

    Map<String,Object> getAllTesting(Map<String, Object> map);

    /**
     * 查询最新数据
     * @param storehouse
     * @return
     */
    List<TTestdata> getNewest(String storehouse, String orgId);

    List<TTestdata> getByCfCode(String storehouse, String orgId);
}
